local constants = {
	['PRIORITY_LOW'] = -2,
	['PRIORITY_MODERATE'] = -1,
	['PRIORITY_NORMAL'] = 0,
	['PRIORITY_HIGH'] = 1,
	['PRIORITY_EMERGENCY'] = 2,
	['SOUND_DEFAULT'] = 'pushover',
	['SOUND_BIKE'] = 'bike',
	['SOUND_BUGLE'] = 'bugle',
	['SOUND_CASH_REGISTER'] = 'cashregister',
	['SOUND_CLASSICAL'] = 'classical',
	['SOUND_COSMIC'] = 'cosmic',
	['SOUND_FALLING'] = 'falling',
	['SOUND_GAMELAN'] = 'gamelan',
	['SOUND_INCOMING'] = 'incoming',
	['SOUND_INTERMISSION'] = 'intermission',
	['SOUND_MAGIC'] = 'magic',
	['SOUND_MECHANICAL'] = 'mechanical',
	['SOUND_PIANOBAR'] = 'pianobar',
	['SOUND_SIREN'] = 'siren',
	['SOUND_SPACEALARM'] = 'spacealarm',
	['SOUND_TUGBOAT'] = 'tugboat',
	['SOUND_ALIEN'] = 'alien',
	['SOUND_CLIMB'] = 'climb',
	['SOUND_PERSISTENT'] = 'persistent',
	['SOUND_ECHO'] = 'echo',
	['SOUND_UPDOWN'] = 'updown',
	['SOUND_NONE'] = 'none',
	['HUM_NORMAL'] = 0,
	['HUM_COMFORTABLE'] = 1,
	['HUM_DRY'] = 2,
	['HUM_WET'] = 3,
	-- true mapping to numbers is done in the device adapters for
	-- baro and temphumbaro devices
	['BARO_STABLE'] = 'stable',
	['BARO_SUNNY'] = 'sunny',
	['BARO_CLOUDY'] = 'cloudy',
	['BARO_UNSTABLE'] = 'unstable',
	['BARO_THUNDERSTORM'] = 'thunderstorm',
	['BARO_NOINFO'] = 'noinfo',
	['BARO_PARTLYCLOUDY'] = 'partlycloudy',
	['BARO_RAIN'] = 'rain',
	['ALERTLEVEL_GREY'] = 0,
	['ALERTLEVEL_GREEN'] = 1,
	['ALERTLEVEL_YELLOW'] = 2,
	['ALERTLEVEL_ORANGE'] = 3,
	['ALERTLEVEL_RED'] = 4,
	['SECURITY_DISARMED'] = 'Disarmed',
	['SECURITY_ARMEDAWAY'] = 'Armed Away',
	['SECURITY_ARMEDHOME'] = 'Armed Home',
	['EVENT_TYPE_TIMER'] = 'timer',
	['EVENT_TYPE_DEVICE'] = 'device',
	['EVENT_TYPE_VARIABLE'] = 'variable',
	['EVENT_TYPE_SECURITY'] = 'security',
	['EVENT_TYPE_SCENE'] = 'scene',
	['EVENT_TYPE_GROUP'] = 'group',
	['EVENT_TYPE_SYSTEM'] = 'system',
	['EVENT_TYPE_CUSTOM'] = 'custom',
	['EVOHOME_MODE_AUTO'] = 'Auto',
	['EVOHOME_MODE_TEMPORARY_OVERRIDE'] = 'TemporaryOverride',
	['EVOHOME_MODE_PERMANENT_OVERRIDE'] = 'PermanentOverride',
	['EVOHOME_MODE_FOLLOW_SCHEDULE'] = 'FollowSchedule',
	['EVOHOME_MODE_AUTOWITHRESET'] = 'AutoWithReset',
	['EVOHOME_MODE_AUTOWITHECO'] = 'AutoWithEco',
	['EVOHOME_MODE_AWAY'] = 'Away',
	['EVOHOME_MODE_DAYOFF'] = 'DayOff',
	['EVOHOME_MODE_CUSTOM'] = 'Custom',
	['EVOHOME_MODE_HEATINGOFF'] = 'HeatingOff',
	['INTEGER'] = 'integer',
	['FLOAT'] = 'float',
	['STRING'] = 'string',
	['DATE'] = 'date',
	['TIME'] = 'time',
	['NSS_FIREBASE'] = 'gcm', -- For the moment the change to fcm is only done in the url
	['NSS_GOOGLE_CLOUD_MESSAGING'] = 'gcm',
	['NSS_HTTP'] = 'http',
	['NSS_KODI'] = 'kodi',
	['NSS_LOGITECH_MEDIASERVER'] = 'lms',
	['NSS_NMA'] = 'nma',
	['NSS_PROWL'] = 'prowl',
	['NSS_PUSHALOT'] = 'pushalot',
	['NSS_PUSHBULLET'] = 'pushbullet',
	['NSS_PUSHOVER'] = 'pushover',
	['NSS_PUSHSAFER'] = 'pushsafer',
	['NSS_TELEGRAM'] = 'telegram',
	['BASETYPE_DEVICE'] = 'device',
	['BASETYPE_SCENE'] = 'scene',
	['BASETYPE_GROUP'] = 'group',
	['BASETYPE_VARIABLE'] = 'variable',
	['BASETYPE_SECURITY'] = 'security',
	['BASETYPE_TIMER'] = 'timer',
	['BASETYPE_HTTP_RESPONSE'] = 'httpResponse',
	['BASETYPE_SYSTEM_EVENT'] = 'system',
	['BASETYPE_CUSTOM_EVENT'] = 'custom'
}

return constants
